package java.awt.peer;

import java.net.URI;
import java.io.IOException;
import java.io.File;
import java.awt.Desktop;

public interface DesktopPeer
{
    public abstract boolean isSupported(Desktop.Action p0);
    
    public abstract void open(File p0) throws IOException;
    
    public abstract void edit(File p0) throws IOException;
    
    public abstract void print(File p0) throws IOException;
    
    public abstract void mail(URI p0) throws IOException;
    
    public abstract void browse(URI p0) throws IOException;
}
